# ClosableStringSink class

A ClosableStringSink extends the StringSink interface by adding a `close` method.

Inheritance
  - Object
  - StringSink
  - ClosableStringSink

## Constructors

ClosableStringSink.fromStringSink(StringSink sink, void onClose())
  Creates a new instance combining a StringSink `sink` and a callback `onClose` which is invoked when the returned instance is closed.
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

close() → void
  Closes `this` and flushes any outstanding data.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited
write(Object obj) → void
  Converts `obj` to a String by invoking Object.toString and adds the result to `this`.
  inherited
writeAll(Iterable objects, [ String separator = "" ]) → void
  Iterates over the given `objects` and writes them in sequence.
  inherited
writeCharCode(int charCode) → void
  Writes the `charCode` to `this`. [...]
  inherited
writeln([Object obj = "" ]) → void
  Converts `obj` to a String by invoking Object.toString and adds the result to `this`, followed by a newline.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited